Subject: bug#42149: Substring and flex completion ignore implicit trailing ‘any’

From: Stefan Monnier <[email-masked]>
Date: Sun, 27 Dec 2020 16:20:49 -0500

> @@ -3165,7 +3165,7 @@ completion-pcm--optimize-pattern
>          ;; the final position of point (because `point' gets turned
>          ;; into a non-greedy ".*?" regexp whereas we need it to be
>          ;; greedy when it's at the end, see bug#38458).
> -        (`(point) (setq p nil)) ;Implicit terminating `any'.
> +        (`(point) (setq p '(any)))  ;Implicit terminating `any'.

There is always an implicit terminating `any`, and I'd really prefer to
keep it implicit.

        Stefan